; Kernel

;---------------------------------------------------------------
%include "mac.h"
%include "defs.h"

BITS 32
ORG START
;===============================================================
MAIN:
%ifidni GFX,640
        call ati                ;init ATI video card
%endif
        upsh $id                ;Title
	call count
	call type
        call cr
        upsh startup            ;Load startup code (boot.f)
        upsh startup.1 - startup
        call eval
        jmp interpret           ;Go...
$id db 8,"Retro IV"
;---------------------------------------------------------------
; Exit to DOS/monitor (assuming ESP is back where it was at the start)
bye:    mov esp,rp0 - 4
	ret
;---------------------------------------------------------------
%include "dict.1"
%include "kb.1"
%include "fd.1"

%ifidni GFX,TEXT
%include "tt.1"
%else
%include "t8.1"
%include "g8.1"		;8-bit paletted graphics
%endif

%include "text.1"
%include "math.1"
%include "com.1"
%include "sub.1"
%include "tmp.1"
%include "demo.1"

startup: incbin "boot.f"
.1
;---------------------------------------------------------------
	tp	dd tib
        h       dd END
        d       dd d0
        var base,10
END
